ur_rna.Utilities.swing

## Class MdiParentFrame

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Window
      - - java.awt.Frame
        - - javax.swing.JFrame
          - - ur_rna.Utilities.swing.MdiParentFrame

- All Implemented Interfaces:
    java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, javax.swing.event.InternalFrameListener, javax.swing.RootPaneContainer, javax.swing.WindowConstants
  Direct Known Subclasses:
    MainFrame

      public abstract class MdiParentFrame
      extends javax.swing.JFrame
      implements javax.swing.event.InternalFrameListener

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JFrame

      `javax.swing.JFrame.AccessibleJFrame`

    - ### Nested classes/interfaces inherited from class java.awt.Frame

      `java.awt.Frame.AccessibleAWTFrame`

    - ### Nested classes/interfaces inherited from class java.awt.Window

      `java.awt.Window.AccessibleAWTWindow, java.awt.Window.Type`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.JFrame

      `accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

    - ### Fields inherited from class java.awt.Frame

      `CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface javax.swing.WindowConstants

      `DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MdiParentFrame()`
    `protected` | `MdiParentFrame(java.lang.String title)`
    `protected` | `MdiParentFrame(java.lang.String title, java.awt.GraphicsConfiguration gc)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `activateChild(MdiChildFrame child)`
    `protected void` | `addAction(java.lang.String actionName, java.util.function.Consumer<java.awt.event.ActionEvent> handler)`
    `protected void` | `addChild(MdiChildFrame child)`
    `protected void` | `addKeyBinding(char keyChar, java.lang.String actionName)`
    `protected void` | `addKeyBinding(int keyCode, int modifiers, java.lang.String actionName)`
    `void` | `close()`
    `protected MdiChildFrame` | `getActiveChild()`
    `java.util.List<javax.swing.JInternalFrame>` | `getChildFrames(java.lang.Class ofType)`
    `protected abstract javax.swing.JDesktopPane` | `getDesktop()`
    `protected java.util.List<MdiChildFrame>` | `getMdiChildFrames(java.lang.Class ofType)`
    `void` | `internalFrameActivated(javax.swing.event.InternalFrameEvent e)` Invoked when an internal frame is activated.
    `void` | `internalFrameClosed(javax.swing.event.InternalFrameEvent e)` Invoked when an internal frame has been closed.
    `void` | `internalFrameClosing(javax.swing.event.InternalFrameEvent e)` Invoked when an internal frame is in the process of being closed.
    `void` | `internalFrameDeactivated(javax.swing.event.InternalFrameEvent e)` Invoked when an internal frame is de-activated.
    `void` | `internalFrameDeiconified(javax.swing.event.InternalFrameEvent e)` Invoked when an internal frame is de-iconified.
    `void` | `internalFrameIconified(javax.swing.event.InternalFrameEvent e)` Invoked when an internal frame is iconified.
    `void` | `internalFrameOpened(javax.swing.event.InternalFrameEvent e)` Invoked when a internal frame has been opened.

    - ### Methods inherited from class javax.swing.JFrame

      `addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setIconImage, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

    - ### Methods inherited from class java.awt.Frame

      `addNotify, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setBackground, setCursor, setExtendedState, setMaximizedBounds, setMenuBar, setOpacity, setResizable, setShape, setState, setTitle, setUndecorated`

    - ### Methods inherited from class java.awt.Window

      `addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, setVisible, show, toBack, toFront`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.awt.MenuContainer

      `getFont, postEvent`

- - ### Constructor Detail

    - #### MdiParentFrame

          protected MdiParentFrame()

    - #### MdiParentFrame

          protected MdiParentFrame(java.lang.String title)

    - #### MdiParentFrame

          protected MdiParentFrame(java.lang.String title,
                                   java.awt.GraphicsConfiguration gc)

  - ### Method Detail

    - #### activateChild

          protected void activateChild(MdiChildFrame child)

    - #### addAction

          protected void addAction(java.lang.String actionName,
                                   java.util.function.Consumer<java.awt.event.ActionEvent> handler)

    - #### addChild

          protected void addChild(MdiChildFrame child)

    - #### addKeyBinding

          protected void addKeyBinding(char keyChar,
                                       java.lang.String actionName)

    - #### addKeyBinding

          protected void addKeyBinding(int keyCode,
                                       int modifiers,
                                       java.lang.String actionName)

    - #### close

          public void close()

    - #### getActiveChild

          protected MdiChildFrame getActiveChild()

    - #### getChildFrames

          public java.util.List<javax.swing.JInternalFrame> getChildFrames(java.lang.Class ofType)

    - #### getDesktop

          protected abstract javax.swing.JDesktopPane getDesktop()

    - #### getMdiChildFrames

          protected java.util.List<MdiChildFrame> getMdiChildFrames(java.lang.Class ofType)

    - #### internalFrameActivated

          public void internalFrameActivated(javax.swing.event.InternalFrameEvent e)

      Invoked when an internal frame is activated.
      Specified by:
        `internalFrameActivated` in interface `javax.swing.event.InternalFrameListener`
      Parameters:
        `e` -
      See Also:
        `JInternalFrame.setSelected(boolean)`

    - #### internalFrameClosed

          public void internalFrameClosed(javax.swing.event.InternalFrameEvent e)

      Invoked when an internal frame has been closed.
      Specified by:
        `internalFrameClosed` in interface `javax.swing.event.InternalFrameListener`
      Parameters:
        `e` -
      See Also:
        `JInternalFrame.setClosed(boolean)`

    - #### internalFrameClosing

          public void internalFrameClosing(javax.swing.event.InternalFrameEvent e)

      Invoked when an internal frame is in the process of being closed. The close operation can be overridden at this point.
      Specified by:
        `internalFrameClosing` in interface `javax.swing.event.InternalFrameListener`
      Parameters:
        `e` -
      See Also:
        `JInternalFrame.setDefaultCloseOperation(int)`

    - #### internalFrameDeactivated

          public void internalFrameDeactivated(javax.swing.event.InternalFrameEvent e)

      Invoked when an internal frame is de-activated.
      Specified by:
        `internalFrameDeactivated` in interface `javax.swing.event.InternalFrameListener`
      Parameters:
        `e` -
      See Also:
        `JInternalFrame.setSelected(boolean)`

    - #### internalFrameDeiconified

          public void internalFrameDeiconified(javax.swing.event.InternalFrameEvent e)

      Invoked when an internal frame is de-iconified.
      Specified by:
        `internalFrameDeiconified` in interface `javax.swing.event.InternalFrameListener`
      Parameters:
        `e` -
      See Also:
        `JInternalFrame.setIcon(boolean)`

    - #### internalFrameIconified

          public void internalFrameIconified(javax.swing.event.InternalFrameEvent e)

      Invoked when an internal frame is iconified.
      Specified by:
        `internalFrameIconified` in interface `javax.swing.event.InternalFrameListener`
      Parameters:
        `e` -
      See Also:
        `JInternalFrame.setIcon(boolean)`

    - #### internalFrameOpened

          public void internalFrameOpened(javax.swing.event.InternalFrameEvent e)

      Invoked when a internal frame has been opened.
      Specified by:
        `internalFrameOpened` in interface `javax.swing.event.InternalFrameListener`
      Parameters:
        `e` -
      See Also:
        `JInternalFrame.show()`